cgGetStateResetCallback(3)

NAME
cgGetStateResetCallback - get the state resetting callback function for a state

SYNOPSIS
  #include <Cg/cg.h>
  CGstatecallback cgGetStateResetCallback( CGstate state );

PARAMETERS

state
    The state from which to retrieve the callback.

RETURN VALUES
Returns a pointer to the state resetting callback function.

Returns NULL if state is not a valid state or if it has no callback.

DESCRIPTION
cgGetStateResetCallback returns the callback function used for resetting the state when the given state is encountered in a pass in a technique. See the cgSetStateCallbacks manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgGetStateResetCallback was introduced in Cg 1.4.

SEE ALSO
the cgSetStateCallbacks manpage, the cgCallStateResetCallback manpage, the cgResetPassState manpage